## ros-indigo-cob-hand-bridge 0.6.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_hand_bridge)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  actionlib
  angles
  control_msgs
  diagnostic_updater
  message_generation
  sensor_msgs
  std_srvs
)

find_package(Boost REQUIRED COMPONENTS chrono system thread)

add_message_files(
  FILES
  JointValues.msg
  Status.msg
)

add_service_files(
  FILES
  InitFinger.srv
  InitPins.srv
  SetPWM.srv
  UpdatePins.srv
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
)
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES cob_hand_bridge
  CATKIN_DEPENDS message_runtime
#  DEPENDS system_lib
)

include_directories(
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
  client
  client/src
  client/pigpio
)

add_executable(${PROJECT_NAME}_node src/cob_hand_bridge_node.cpp)
target_link_libraries(${PROJECT_NAME}_node ${Boost_LIBRARIES} ${catkin_LIBRARIES})
add_dependencies(${PROJECT_NAME}_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

add_library(cob_hand_pigpio STATIC client/pigpio/pigpio.c client/pigpio/command.c)
target_compile_definitions(cob_hand_pigpio PRIVATE DISABLE_SER_CHECK_INITED)

add_executable(cob_hand_node src/cob_hand_node.cpp)
target_link_libraries(cob_hand_node cob_hand_pigpio ${Boost_LIBRARIES} ${catkin_LIBRARIES})
add_dependencies(cob_hand_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})



### INSTALL ###
install(TARGETS ${PROJECT_NAME}_node cob_hand_node
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== client/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(cob_hand_bridge)

find_package(Boost COMPONENTS chrono system thread REQUIRED)
include_directories(pigpio ros_lib ${Boost_INCLUDE_DIR})
link_directories(${Boost_LIBRARY_DIR})

add_library(cob_hand_ros_lib STATIC ros_lib/duration.cpp ros_lib/time.cpp)

add_library(cob_hand_pigpio STATIC pigpio/pigpio.c pigpio/command.c)
target_compile_definitions(cob_hand_pigpio PRIVATE DISABLE_SER_CHECK_INITED) # for tests

add_executable(cob_hand_bridge src/bridge.cpp)
target_link_libraries( cob_hand_bridge cob_hand_pigpio cob_hand_ros_lib ${Boost_LIBRARIES} )

install(TARGETS cob_hand_bridge DESTINATION bin)

=== debian/changelog ===
ros-indigo-cob-hand-bridge (0.6.5-0trusty) trusty; urgency=high

  * update pigpio submodule
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Sat, 21 Jul 2018 22:00:00 -0000

ros-indigo-cob-hand-bridge (0.6.4-0trusty) trusty; urgency=high

  * update maintainer
  * Merge pull request #22 <https://github.com/ipa320/cob_hand/issues/22> from ipa-bnm/fix/cob_hand_init
    Reset error in init
  * reset error on init
  * readded local launch file
  * Merge pull request #21 <https://github.com/ipa320/cob_hand/issues/21> from ipa-bnm/feature/direct_sdh_connection
    added ros node for direct sdax communication
  * mojin robotics copyright
  * remove launch file
  * added ros node for direct sdax communication
  * Contributors: Benjamin Maidel, Felix Messmer, Florian Weisshardt, fmessmer, ipa-fmw

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-hand-bridge (0.6.3-0trusty) trusty; urgency=high

  * Merge pull request #19 <https://github.com/ipa320/cob_hand/issues/19> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #17 <https://github.com/ipa320/cob_hand/issues/17> from ipa-fxm/APACHE_license
    use license apache 2.0
  * change maintainer
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-hand-bridge (0.6.2-0trusty) trusty; urgency=high

  * properly handle re-init after restart
    tested on cob4-5
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-hand-bridge (0.6.1-0trusty) trusty; urgency=high

  * fix install tags
  * move launch files to bringup
  * start init server after status topic is connected
  * speed-up line parsing
  * fixed offset calculation bug
  * stop timer on preemption
  * improved deadline timer
  * fixed typo in JointValues.msg
  * resend while moving
  * set nominal current as default
  * renamed g_motors_stopped to to g_motion_stopped
  * resend only if control was stopped
  * set default velocity (unused, but must be in valid range)
  * move command string format was wrong, updated to signed
  * pass currents to SDHx
  * read currents from trajectory
  * parse default currents
  * non-positive resend_timer disables it
  * stop resending on error
  * use deadline timer instead of resend timer
  * properly handle goal if already at target
  * added missing dependency
  * Fix for #6 <https://github.com/ipa320/cob_hand/issues/6>, added dependency to self
  * deep-copy port string
  * require movement to start
  * migrated to goalCB
  * increased stopped velocity
  * support trajectories with missing header stamp
  * proper conversions
  * do not test for tolerances size (outdated code)
  * catch not connected error in init
  * first status detected was buggy
  * finger ready  logic was inverted
  * added trajectory interface
  * wait for init_finger service
  * enable recover on non-zero RC
  * Use global namespaces to make remap work
  * Do not check required interfase per default
    rosserial checks FQN, does not work with component namespaces
  * report error on non-zero SDHx return code
  * added diagnostics
  * c&p bug
  * device port was missing the leading slash
  * resize position vector before filling it
  * advertise recover service
  * updated mismatched MD5 sums
  * added first version of node
  * implemented recover service
  * actually read velocity and current from SDHx
  * switched to signed current entry
  * improved line parsing
  * Keep existing PWM setting if value is zero
  * Create README.md
  * PWM just works for first bank
  * added launch file
  * refactored for PWM feature
  * added support for bank1
  * removed sdhx.cpp from CMake config
  * SDHx implementation
  * first test app with GPIO
  * Contributors: Florian Weisshardt, Mathias Lüdtke, ipa-cob4-5, ipa-nhg

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 09 Oct 2016 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-cob-hand-bridge
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-angles, ros-indigo-catkin, ros-indigo-control-msgs, ros-indigo-diagnostic-updater, ros-indigo-message-generation, ros-indigo-sensor-msgs, ros-indigo-std-srvs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-cob-hand-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-angles, ros-indigo-control-msgs, ros-indigo-diagnostic-updater, ros-indigo-message-runtime, ros-indigo-rosserial-python, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs
Description: The cob_hand_bridge package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-hand-bridge//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
